Subject: bug#42538: 28.0.50; tramp-test35-remote-path test timing out on macOS

From: Philipp Stephani <[email-masked]>
Date: Sun, 26 Jul 2020 16:13:25 +0200

Am So., 26. Juli 2020 um 11:19 Uhr schrieb Michael Albinus
<[email-masked]>:
>
> Philipp <[email-masked]> writes:
>
> Hi Philipp,
>
> > This is another follow-up to Bug#30700.  This time a specific TRAMP test
> > times out on macOS:
> >
> > $ timeout -v 30m make -C test lisp/net/tramp-tests SELECTOR=tramp-test35-remote-path
> >   GEN      lisp/net/tramp-tests.log
> > Running 1 tests (2020-07-25 20:28:58+0200, selector `tramp-test35-remote-path')
> > timeout: sending signal TERM to command ‘make’
> > make[1]: *** [lisp/net/tramp-tests.log] Terminated: 15
> > make: *** [lisp/net/tramp-tests] Terminated: 15
>
> Well, I don't run macOS, so I cannot reproduce.
>
> Could you please apply the appended patch to tramp-tests.el? Then run
>
> $ rm test/lisp/net/tramp-tests.log
> $ timeout -v 30s make -C test lisp/net/tramp-tests.log SELECTOR=tramp-test35-remote-path
>
> This generates the file tramp-tests.log, which I would like to
> see. Likely, it is huge, so pls send it directly to me.

In fact, it doesn't exist because the test is killed before it can
write the file :-)

Here's a slightly modified invocation plus output:

$ timeout -v 5m make -C test lisp/net/tramp-tests.log
SELECTOR=tramp-test35-remote-path WRITE_LOG=' 2>&1 | tee $@' V=1
/usr/local/bin/gmkdir -p lisp/net/
HOME=/nonexistent EMACSLOADPATH= LC_ALL=C
EMACS_TEST_DIRECTORY=/Users/p/Entwicklung/Emacs/master/test
"../src/emacs" --module-assertions --no-init-file --no-site-file
--no-site-lisp -L ":."  \
  -l ert  -l lisp/net/tramp-tests.el \
  --batch --eval '(ert-run-tests-batch-and-exit (quote
tramp-test35-remote-path))' 2>&1 | tee lisp/net/tramp-tests.log
Running 1 tests (2020-07-26 16:04:54+0200, selector `tramp-test35-remote-path')
Tramp: Sending command `exec sh -i'
Tramp: Found remote shell prompt on `p'
Tramp: Sending command `exec sh -i'
Tramp: Found remote shell prompt on `p'
Tramp: Sending command `exec sh -i'
Tramp: Found remote shell prompt on `p'
Tramp: Sending command `exec sh -i'
Tramp: Found remote shell prompt on `p'
timeout: sending signal TERM to command ‘make’
make: *** [lisp/net/tramp-tests.log] Terminated: 15

That is, the test starts to make some progress and then hangs.